Subject: bug#56561: 29.0.50; Infloop in try_window

From: Eli Zaretskii <[email-masked]>
Date: Mon, 18 Jul 2022 15:37:22 +0300

> From: Po Lu <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Mon, 18 Jul 2022 08:57:08 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Thanks.  The patch below is what I had in mind.  WDYT?
> 
> It works fine (though we should make the change in all the *fns.[cm]
> files).

Sure, what I posted was only a proof of concept.

> But I don't see the strict requirement for this change:
> 
> >    DEFVAR_LISP ("x-max-tooltip-size", Vx_max_tooltip_size,
> >  	       doc: /* SKIP: real doc in xfns.c.  */);
> > -  Vx_max_tooltip_size = Fcons (make_fixnum (80), make_fixnum (40));
> > +  Vx_max_tooltip_size = Qnil;
> >  
> >    DEFVAR_LISP ("x-no-window-manager", Vx_no_window_manager,
> >  	       doc: /* SKIP: real doc in xfns.c.  */);

This makes it easier to distinguish between the default value and a
non-default value.  I also don't see any reason to have the default
both as a cons cell and as hard-coded values.